
From: Markus Lidel <Markus.Lidel@shadowconnect.com>




---

 25-akpm/drivers/message/i2o/Kconfig  |   15 ++++++++-------
 25-akpm/drivers/message/i2o/Makefile |    3 ++-
 2 files changed, 10 insertions(+), 8 deletions(-)

diff -puN drivers/message/i2o/Kconfig~i2o-subsystem-fixing-and-cleanup-for-26-i2o-makefile-cleanuppatch drivers/message/i2o/Kconfig
--- 25/drivers/message/i2o/Kconfig~i2o-subsystem-fixing-and-cleanup-for-26-i2o-makefile-cleanuppatch	2004-04-30 03:27:31.086852528 -0700
+++ 25-akpm/drivers/message/i2o/Kconfig	2004-04-30 03:27:31.091851768 -0700
@@ -3,7 +3,7 @@ menu "I2O device support"
 
 config I2O
 	tristate "I2O support"
-	depends on PCI && !64BIT
+	depends on PCI
 	---help---
 	  The Intelligent Input/Output (I2O) architecture allows hardware
 	  drivers to be split into two parts: an operating system specific
@@ -20,19 +20,20 @@ config I2O
 	  drivers and OSM's with the following questions.
 
 	  To compile this support as a module, choose M here: the
-	  modules will be called i2o_core and i2o_config.
+	  modules will be called i2o_core.
 
 	  If unsure, say N.
 
-config I2O_PCI
-	tristate "I2O PCI support"
+config I2O_CONFIG
+	tristate "I2O Configuration support"
 	depends on PCI && I2O
 	help
-	  Say Y for support of PCI bus I2O interface adapters. Currently this
-	  is the only variety supported, so you should say Y.
+	  Say Y for support of the configuration interface for the I2O adapters.
+	  If you have a RAID controller from Adaptec and you want to use the
+	  raidutils to manage your RAID array, you have to say Y here.
 
 	  To compile this support as a module, choose M here: the
-	  module will be called i2o_pci.
+	  module will be called i2o_config.
 
 config I2O_BLOCK
 	tristate "I2O Block OSM"
diff -puN drivers/message/i2o/Makefile~i2o-subsystem-fixing-and-cleanup-for-26-i2o-makefile-cleanuppatch drivers/message/i2o/Makefile
--- 25/drivers/message/i2o/Makefile~i2o-subsystem-fixing-and-cleanup-for-26-i2o-makefile-cleanuppatch	2004-04-30 03:27:31.087852376 -0700
+++ 25-akpm/drivers/message/i2o/Makefile	2004-04-30 03:27:31.091851768 -0700
@@ -5,7 +5,8 @@
 # In the future, some of these should be built conditionally.
 #
 
-obj-$(CONFIG_I2O)	+= i2o_core.o i2o_config.o
+obj-$(CONFIG_I2O)	+= i2o_core.o
+obj-$(CONFIG_I2O_CONFIG)+= i2o_config.o
 obj-$(CONFIG_I2O_BLOCK)	+= i2o_block.o
 obj-$(CONFIG_I2O_SCSI)	+= i2o_scsi.o
 obj-$(CONFIG_I2O_PROC)	+= i2o_proc.o

_
